=== po/CMakeLists.txt ===
IF(ENABLE_MAIN)
	ADD_SUBDIRECTORY(desktopnova)
ENDIF(ENABLE_MAIN)

IF(ENABLE_MODULE_GNOME)
	ADD_SUBDIRECTORY(desktopnova-module-gnome)
ENDIF(ENABLE_MODULE_GNOME)

IF(ENABLE_MODULE_XFCE OR ENABLE_MODULE_XFCE_XFCONF)
	ADD_SUBDIRECTORY(desktopnova-module-xfce)
ENDIF(ENABLE_MODULE_XFCE OR ENABLE_MODULE_XFCE_XFCONF)

IF(ENABLE_TRAY)
	ADD_SUBDIRECTORY(desktopnova-tray)
ENDIF(ENABLE_TRAY)

ADD_CUSTOM_TARGET(pots)
ADD_DEPENDENCIES(pots
                 desktopnova-pot
                 desktopnova-module-gnome-pot
                 desktopnova-module-xfce-pot
                 desktopnova-tray-pot)
