=== res/CMakeLists.txt ===
IF(ENABLE_MAIN OR ENABLE_TRAY)
	INSTALL(FILES desktopnova.png
	        DESTINATION ${DIRS_DATADIR}/icons/hicolor/48x48/apps)

	INSTALL(FILES desktopnova.svg
	        DESTINATION ${DIRS_DATADIR}/icons/hicolor/scalable/apps)
ENDIF(ENABLE_MAIN OR ENABLE_TRAY)

IF(ENABLE_TRAY)
	INSTALL(FILES tray-icons/desktopnova-tray-normal.svg
	        DESTINATION ${DIRS_DATADIR}/desktopnova/tray-icons)

	INSTALL(FILES tray-icons/desktopnova-tray-error.svg
	        DESTINATION ${DIRS_DATADIR}/desktopnova/tray-icons)
ENDIF(ENABLE_TRAY)

IF(ENABLE_MAIN)
	ADD_CUSTOM_TARGET(intltool-desktopnova-merge ALL
	                  COMMAND ${INTLTOOL_MERGE} --desktop-style ${PROJECT_SOURCE_DIR}/po/desktopnova ${PROJECT_SOURCE_DIR}/res/desktopnova.desktop.in  ${CMAKE_CURRENT_BINARY_DIR}/desktopnova.desktop
	                  DEPENDS ${PROJECT_SOURCE_DIR}/res/desktopnova.desktop.in
	                  WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
	                  COMMENT "Merging desktopnova.desktop.in"
	                  VERBATIM)

	INSTALL(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/desktopnova.desktop
	        DESTINATION ${DIRS_DATADIR}/applications)
ENDIF(ENABLE_MAIN)

IF(ENABLE_TRAY)
	ADD_CUSTOM_TARGET(intltool-desktopnova-tray-merge ALL
	                  COMMAND ${INTLTOOL_MERGE} --desktop-style ${PROJECT_SOURCE_DIR}/po/desktopnova-tray ${PROJECT_SOURCE_DIR}/res/desktopnova-tray.desktop.in  ${CMAKE_CURRENT_BINARY_DIR}/desktopnova-tray.desktop
	                  DEPENDS ${PROJECT_SOURCE_DIR}/res/desktopnova-tray.desktop.in
	                  WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
	                  COMMENT "Merging desktopnova-tray.desktop.in"
	                  VERBATIM)

	INSTALL(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/desktopnova-tray.desktop
	        DESTINATION ${DIRS_DATADIR}/applications)
ENDIF(ENABLE_TRAY)
