=== po/desktopnova-module-xfce/CMakeLists.txt ===
SET(DOMAIN desktopnova-module-xfce)
SET(LANG ar cs de es fr gl hu it pt pt_BR ru tr zh_CN)

GETTEXT_POT(${DOMAIN})
GETTEXT_MO(${DOMAIN} ${LANG})
GETTEXT_UPDATE_PO(${DOMAIN} ${LANG})
