=== po/desktopnova-tray/CMakeLists.txt ===
SET(DOMAIN desktopnova-tray)
SET(LANG ar cs de es fr gl hu it pt pt_BR ru tr)

GETTEXT_POT(${DOMAIN})
GETTEXT_MO(${DOMAIN} ${LANG})
GETTEXT_UPDATE_PO(${DOMAIN} ${LANG})
