=== po/desktopnova/CMakeLists.txt ===
SET(DOMAIN desktopnova)
SET(LANG ar cs de es fr gl hu it pl pt pt_BR ru tr zh_CN)

GETTEXT_POT(${DOMAIN})
GETTEXT_MO(${DOMAIN} ${LANG})
GETTEXT_UPDATE_PO(${DOMAIN} ${LANG})

ADD_CUSTOM_COMMAND(TARGET gettext-${DOMAIN}-mo
                   PRE_BUILD
                   COMMAND ${INTLTOOL_EXTRACT} --local --type gettext/ini --srcdir ${PROJECT_SOURCE_DIR} res/desktopnova.desktop.in
                   DEPENDS ${PROJECT_SOURCE_DIR}/res/desktopnova.desktop.in
                   WORKING_DIR ${CMAKE_CURRENT_BINARY_DIR}
                   COMMENT "Extracting messages from desktopnova.desktop.in"
                   VERBATIM)

#ADD_CUSTOM_COMMAND(TARGET gettext-${DOMAIN}-mo
#                   POST_BUILD
#                   COMMAND ${CMAKE_COMMAND} -E remove_directory ${CMAKE_CURRENT_BINARY_DIR}/tmp
#                   COMMENT "Removing desktopnova.desktop.in.h"
#                   VERBATIM)
