=== src/misc/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${GLIB2_INCLUDE_DIRS}
                    ${XML2_INCLUDE_DIRS})

ADD_CUSTOM_COMMAND(OUTPUT authors.h
                   COMMAND python ${PROJECT_SOURCE_DIR}/ascii-to-header.py
                           ${PROJECT_SOURCE_DIR}/AUTHORS ${CMAKE_CURRENT_BINARY_DIR}/authors.h
                           ${PROJECT_SOURCE_DIR}/LICENSE
                   COMMENT "Generating authors.h"
                   VERBATIM)

ADD_CUSTOM_COMMAND(OUTPUT license.h
                   COMMAND python ${PROJECT_SOURCE_DIR}/ascii-to-header.py
                           ${PROJECT_SOURCE_DIR}/LICENSE ${CMAKE_CURRENT_BINARY_DIR}/license.h
                           ${PROJECT_SOURCE_DIR}/LICENSE
                   COMMENT "Generating license.h"
                   VERBATIM)

ADD_CUSTOM_COMMAND(OUTPUT translators.h
                   COMMAND python ${PROJECT_SOURCE_DIR}/ascii-to-header.py
                           ${PROJECT_SOURCE_DIR}/TRANSLATORS ${CMAKE_CURRENT_BINARY_DIR}/translators.h
                           ${PROJECT_SOURCE_DIR}/LICENSE
                   COMMENT "Generating translators.h"
                   VERBATIM)

ADD_CUSTOM_TARGET(asciis-to-headers ALL
                  DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/authors.h
                          ${CMAKE_CURRENT_BINARY_DIR}/license.h
                          ${CMAKE_CURRENT_BINARY_DIR}/translators.h)

ADD_LIBRARY(desktopnova-general STATIC general.c)

IF(ENABLE_MAIN)
	ADD_LIBRARY(desktopnova-module STATIC module.c)
ENDIF(ENABLE_MAIN)

IF(ENABLE_MAIN OR ENABLE_TRAY)
	ADD_LIBRARY(desktopnova-xml STATIC xml.c)

	TARGET_LINK_LIBRARIES(desktopnova-xml desktopnova-general
	                      ${XML2_LIBRARIES})
ENDIF(ENABLE_MAIN OR ENABLE_TRAY)
