=== debian/changelog ===
desktopnova (0.8-2) unstable; urgency=low

  * Avoid circular dependencies. (Closes: #583756)
  * Mention copyright of translation explicitly.

 -- Stefan Haller <haliner@googlemail.com>  Sat, 19 Jun 2010 13:07:46 +0200

desktopnova (0.8-1) unstable; urgency=low

  * Initial Release (Closes: #562532)

 -- Stefan Haller <haliner@googlemail.com>  Mon, 24 May 2010 11:02:17 +0200
