=== debian/control ===
Source: desktopnova
Section: misc
Priority: optional
Maintainer: Stefan Haller <haliner@googlemail.com>
Build-Depends: debhelper (>= 7), cmake, libglib2.0-dev, libgconf2-dev, libgtk2.0-dev, intltool, libxml2-dev, libdbus-glib-1-dev, libxfconf-0-dev
Standards-Version: 3.8.4
Homepage: http://launchpad.net/desktopnova

Package: desktopnova
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, psmisc
Recommends: desktopnova-module-gnome | desktopnova-module-xfce, desktopnova-tray
Conflicts: gwallpapers
Replaces: gwallpapers
Description: utility that changes the wallpaper automatically
 DesktopNova changes the desktop background image after an adjustable time.
 It can choose the images from single files and folders (with or without
 subfolders). An autostart feature is also implemented.
 .
 This package contains the graphical user interface and background daemon.
 .
 There is at least one module needed. Without a module this package will not
 work as expected! See packages desktopnova-module-*.
 .
 There is also an additional tray icon available. See package desktopnova-tray.


Package: desktopnova-module-gnome
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, desktopnova (= ${binary:Version})
Conflicts: gwallpapers-module-gnome
Replaces: gwallpapers-module-gnome
Description: GNOME module for DesktopNova
 DesktopNova changes the desktop background image after an adjustable time.
 It can choose the images from single files and folders (with or without
 subfolders). An autostart feature is also implemented.
 .
 This package enables GNOME support for DesktopNova.

Package: desktopnova-module-xfce
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, desktopnova (= ${binary:Version})
Conflicts: gwallpapers-module-xfce
Replaces: gwallpapers-module-xfce
Description: Xfce module for DesktopNova
 DesktopNova changes the desktop background image after an adjustable time.
 It can choose the images from single files and folders (with or without
 subfolders). An autostart feature is also implemented.
 .
 This package enables Xfce support for DesktopNova.

Package: desktopnova-tray
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, desktopnova (= ${binary:Version})
Conflicts: gwallpapers-tray
Replaces: gwallpapers-tray
Description: tray icon for DesktopNova
 DesktopNova changes the desktop background image after an adjustable time.
 It can choose the images from single files and folders (with or without
 subfolders). An autostart feature is also implemented.
 .
 This package installs a tray icon for DesktopNova.
