## desktopnova 0.8.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -51,7 +51,7 @@
 
 
 IF(ENABLE_NLS)
-	FIND_PACKAGE(Gettext REQUIRED)
+	FIND_PACKAGE(Intltools REQUIRED)
 	FIND_PROGRAM(INTLTOOL_EXTRACT intltool-extract)
 	FIND_PROGRAM(INTLTOOL_MERGE intltool-merge)
 	IF (NOT INTLTOOL_EXTRACT)
@@ -113,5 +113,20 @@
 INCLUDE_DIRECTORIES(${PROJECT_BINARY_DIR})
 
 ADD_SUBDIRECTORY(src)
-ADD_SUBDIRECTORY(po)
 ADD_SUBDIRECTORY(res)
+
+IF(ENABLE_MAIN)
+	ADD_SUBDIRECTORY(po)
+ENDIF(ENABLE_MAIN)
+
+IF(ENABLE_MODULE_GNOME)
+	ADD_SUBDIRECTORY(po-module-gnome)
+ENDIF(ENABLE_MODULE_GNOME)
+
+IF(ENABLE_MODULE_XFCE OR ENABLE_MODULE_XFCE_XFCONF)
+	ADD_SUBDIRECTORY(po-module-xfce)
+ENDIF(ENABLE_MODULE_XFCE OR ENABLE_MODULE_XFCE_XFCONF)
+
+IF(ENABLE_TRAY)
+	ADD_SUBDIRECTORY(po-tray)
+ENDIF(ENABLE_TRAY)
