=== po-module-gnome/CMakeLists.txt ===
SET(DOMAIN desktopnova-module-gnome)
SET(LANG ar cs de es fr gl hu it nl pt pt_BR ru tr zh_CN)

INTLTOOL_MO(${DOMAIN} ${LANG})
