=== po-module-xfce/CMakeLists.txt ===
SET(DOMAIN desktopnova-module-xfce)
SET(LANG ar cs de es fr gl hu it pt pt_BR ru tr zh_CN)

INTLTOOL_MO(${DOMAIN} ${LANG})
