=== po-tray/CMakeLists.txt ===
SET(DOMAIN desktopnova-tray)
SET(LANG ar cs de es fr gl hu it pt pt_BR ru tr)

INTLTOOL_MO(${DOMAIN} ${LANG})
