=== po/CMakeLists.txt ===
SET(DOMAIN desktopnova)
SET(LANG ar cs de es fr gl hu it pl pt pt_BR ru tr zh_CN)

INTLTOOL_MO(${DOMAIN} ${LANG})
