=== res/CMakeLists.txt ===
IF(ENABLE_MAIN OR ENABLE_TRAY)
	INSTALL(FILES desktopnova.png
	        DESTINATION ${DIRS_DATADIR}/icons/hicolor/48x48/apps)

	INSTALL(FILES desktopnova.svg
	        DESTINATION ${DIRS_DATADIR}/icons/hicolor/scalable/apps)
ENDIF(ENABLE_MAIN OR ENABLE_TRAY)

IF(ENABLE_TRAY)
	INSTALL(FILES tray-icons/desktopnova-tray-normal.svg
	        DESTINATION ${DIRS_DATADIR}/desktopnova/tray-icons)

	INSTALL(FILES tray-icons/desktopnova-tray-error.svg
	        DESTINATION ${DIRS_DATADIR}/desktopnova/tray-icons)
ENDIF(ENABLE_TRAY)

IF(ENABLE_MAIN)
	INTLTOOL_MERGE(po desktopnova.desktop.in desktopnova.desktop)

	INSTALL(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/desktopnova.desktop
	        DESTINATION ${DIRS_DATADIR}/applications)
ENDIF(ENABLE_MAIN)

IF(ENABLE_TRAY)
	INTLTOOL_MERGE(po-tray desktopnova-tray.desktop.in desktopnova-tray.desktop)

	INSTALL(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/desktopnova-tray.desktop
	        DESTINATION ${DIRS_DATADIR}/applications)
ENDIF(ENABLE_TRAY)
