=== src/CMakeLists.txt ===
ADD_SUBDIRECTORY(misc)

IF(ENABLE_DBUS)
	ADD_SUBDIRECTORY(dbus)
ENDIF(ENABLE_DBUS)

IF(ENABLE_MAIN)
	ADD_SUBDIRECTORY(desktopnova)
	ADD_SUBDIRECTORY(desktopnova-daemon)
ENDIF(ENABLE_MAIN)

IF(ENABLE_TRAY)
	ADD_SUBDIRECTORY(desktopnova-tray)
ENDIF(ENABLE_TRAY)

ADD_SUBDIRECTORY(modules)
