=== src/desktopnova-daemon/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${GLIB2_INCLUDE_DIRS} ${DBUS_INCLUDE_DIRS}
                    ${GTHREAD2_INCLUDE_DIRS})

ADD_EXECUTABLE(desktopnova-daemon desktopnova-daemon.c
                                  history.c
                                  wallpapers.c)

TARGET_LINK_LIBRARIES(desktopnova-daemon ${GLIB2_LIBRARIES}
                      ${DBUS_LIBRARIES} ${GTHREAD2_LIBRARIES}
                      desktopnova-general desktopnova-xml desktopnova-module)

IF(ENABLE_DBUS)
	TARGET_LINK_LIBRARIES(desktopnova-daemon desktopnova-dbus)
ENDIF(ENABLE_DBUS)

INSTALL(TARGETS desktopnova-daemon
        DESTINATION ${DIRS_BINDIR})
