=== src/desktopnova-tray/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${GTK2_INCLUDE_DIRS}
                    ${GLIB2_INCLUDE_DIRS}
                    ${DBUS_INCLUDE_DIRS}
                    ${CMAKE_CURRENT_BINARY_DIR})

ADD_EXECUTABLE(desktopnova-tray desktopnova-tray.c)
TARGET_LINK_LIBRARIES(desktopnova-tray ${GTK2_LIBRARIES} ${GLIB2_LIBRARIES}
                      ${DBUS_LIBRARIES} desktopnova-general desktopnova-xml)

INSTALL(TARGETS desktopnova-tray
        DESTINATION ${DIRS_BINDIR})
