=== src/desktopnova/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR}
                    ${GTK2_INCLUDE_DIRS}
                    ${GLIB2_INCLUDE_DIRS})

ADD_EXECUTABLE(desktopnova desktopnova.c desktopnova-profiles.c)
TARGET_LINK_LIBRARIES(desktopnova ${GTK2_LIBRARIES} ${GLIB2_LIBRARIES}
                      desktopnova-general desktopnova-xml desktopnova-module)

INSTALL(TARGETS desktopnova
        DESTINATION ${DIRS_BINDIR})
