=== src/misc/CMakeLists.txt ===
--- 
+++ 
@@ -31,6 +31,7 @@
 
 IF(ENABLE_MAIN)
 	ADD_LIBRARY(desktopnova-module STATIC module.c)
+	TARGET_LINK_LIBRARIES(desktopnova-module dl)
 ENDIF(ENABLE_MAIN)
 
 IF(ENABLE_MAIN OR ENABLE_TRAY)
