=== debian/changelog ===
desktopnova (0.8.1-1) unstable; urgency=low

  * New upstream release.
    Fixes ftbfs and now links correctly against libdl (Closes: #615707).

 -- Stefan Haller <haliner@googlemail.com>  Sun, 20 Mar 2011 16:40:10 +0100
