=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Stefan Haller <haliner@googlemail.com>
 Build-Depends: debhelper (>= 7), cmake, libglib2.0-dev, libgconf2-dev, libgtk2.0-dev, intltool, libxml2-dev, libdbus-glib-1-dev, libxfconf-0-dev
-Standards-Version: 3.8.4
+Standards-Version: 3.9.2
 Homepage: http://launchpad.net/desktopnova
 
 Package: desktopnova
