=== debian/watch ===
version=3

https://launchpad.net/desktopnova/+download/ http://launchpad.net/desktopnova/.*/desktopnova-(.+).tar.gz
